> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get supported trading pairs for an account

> Retrieve all asset trading pairs supported by a specific connected account, including the pair type (`quote`, `market`, `onOffRamp`).

**Note:** This endpoint is currently in beta and might be subject to changes.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /connected_accounts/{accountId}/manifest/capabilities/trading/pairs
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connected_accounts/{accountId}/manifest/capabilities/trading/pairs:
    get:
      tags:
        - Connected Accounts (Beta)
      summary: Get supported trading pairs for an account
      description: >
        Retrieve all asset trading pairs supported by a specific connected
        account, including the pair type (`quote`, `market`, `onOffRamp`).


        **Note:** This endpoint is currently in beta and might be subject to
        changes.
      operationId: getConnectedAccountTradingPairs
      parameters:
        - name: accountId
          in: path
          required: true
          description: The ID of the account to fetch supported pairs for.
          schema:
            type: string
            minLength: 1
        - name: pageSize
          in: query
          required: false
          description: Page size for pagination.
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
        - name: pageCursor
          in: query
          required: false
          description: Page cursor for pagination.
          schema:
            type: string
      responses:
        '200':
          description: Supported pairs response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountTradingPairsResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ConnectedAccountTradingPairsResponse>> =
            fireblocks.connectedAccountsBeta.getConnectedAccountTradingPairs(connectedAccountsBetaApiGetConnectedAccountTradingPairsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ConnectedAccountTradingPairsResponse>>
            response =
            fireblocks.connectedAccountsBeta().getConnectedAccountTradingPairs(accountId,
            pageSize, pageCursor);
        - lang: Python
          source: >-
            response =
            fireblocks.connected_accounts_beta.get_connected_account_trading_pairs(account_id,
            page_size, page_cursor);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ConnectedAccountTradingPairsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ConnectedAccountTradingPair'
          example:
            - id: ea6c3cb7-355a-4ee3-82ff-267c69970210
              baseAssetId: BTC
              quoteAssetId: USD
              supportedTypes:
                - MARKET
            - id: ea6c3cb7-355a-4ee3-82ff-267c69970211
              baseAssetId: ETH
              quoteAssetId: USDC
              supportedTypes:
                - QUOTE
                - MARKET
        total:
          type: integer
          description: Total number of asset pairs matching the query.
          example: 2
        next:
          type: string
          description: A cursor for the next page of results, if available.
          nullable: true
          example: null
      required:
        - data
    ConnectedAccountTradingPair:
      type: object
      properties:
        id:
          type: string
          description: The ID of the trading pair.
          example: ea6c3cb7-355a-4ee3-82ff-267c69970210
        baseAssetId:
          type: string
          description: The Symbol of the base asset.
          example: BTC
        quoteAssetId:
          type: string
          description: The symbol of the quote asset.
          example: USD
        supportedTypes:
          type: array
          items:
            $ref: '#/components/schemas/ConnectedAccountTradingPairSupportedType'
      required:
        - id
        - baseAssetId
        - quoteAssetId
        - supportedTypes
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    ConnectedAccountTradingPairSupportedType:
      type: string
      enum:
        - QUOTE
        - MARKET
        - LIMIT
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````